--- title: "Edit service" slug: "ai-application-service-aitems-service-updatedesc" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-updatedesc" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit service Available in Classic and VPC Edit the name and description of a service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /services/{serviceId} | ### Request headers For information about the headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/ai-application-service-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service ID - See [Get service list](/docs/en/ai-application-service-aitems-service-list). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `name` | Array | Required | Service name - Enter 3-20 characters by combining English letters, numbers, and special characters "_" and "-". - The string must start with an English letter or "_". | | `description` | String | Optional | Service description - 0-100 characters | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://aitems.apigw.ntruss.com/api/v1/services/6wxgu******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "name": "service3", "description": "test" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `name` | String | - | Service name | | `description` | String | - | Service description | | `status` | String | - | Service status - `scheduled` \| `scheduledLearning` \| `learnable` \| `learning` \| `deleting` \| `deleted` \| `disable` \| `drafted` \| `requestLearning` \| `datasetRequired` - `scheduled`: Scheduled - `scheduledLearning`: Scheduled training in progress - `learnable`: Trainable - `learning`: Training in progress - `deleting`: Deleting - `deleted`: Deleted - `disable`: Training unavailable - `drafted`: Draft status - `requestLearning`: Training requested - `datasetRequired`: No dataset specified after service creation | | `datasets` | Array | - | Dataset information configured in the service: [datasets](/docs/en/ai-application-service-aitems-service-updatedesc#datasets) | | `hpConfig` | Object | - | Hyperparameter optimization (HPO) settings information | | `hpConfig.is_enabled` | Boolean | - | HPO configuration status - `true` \| `false` - `true`: HPO configured, optimal training models can be implemented - `false`: HPO not configured, trained by AiTEMS' own internal algorithms | | `hpConfig.{option}` | String, Long, Boolean | - | Configured HPO value - See [HPO](/docs/en/ai-application-service-aitems-service-learning#HPO) for value details. | | `infers` | Array | - | Training result information: [infers](/docs/en/ai-application-service-aitems-service-updatedesc#infers) - Display only if `type` is `interval`. | | `createdDate` | String | - | Service creation date and time | | `updatedDate` | String | - | Last update date and time of the service | | `type` | String | - | Service type - `batch` \| `interval` - `batch`: One-time training upon execution - `interval`: Retrain at regular intervals after execution | | `learningInterval` | String | - | Dataset update cycle | | `scheduledDate` | String | - | Dataset update scheduling time | #### `datasets` The following describes `datasets`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetId` | String | - | Dataset ID set to the service | | `type` | String | - | Dataset type set to the service - `user` \| `item` \| `interaction` - `user`: Data containing user information (age, gender, etc.) - `item`: Data with product-related information (price, release date, category, etc.) - `interaction`: Data that captures the history of interactions between users and products | | `name` | String | - | Dataset name set to the service | | `schemaName` | String | - | Dataset schema name set to the service | | `status` | String | - | Status of dataset set to the service - `learnable` \| `disable` \| `uploading` \| `updateRequired` - `learnable`: Training available - `disable`: Training unavailable - `uploading`: Uploading - `updatedRequired`: Updated dataset registration required (automatically registered when training) | | `createdDate` | String | - | Creation date and time of dataset set to the service | | `updatedDate` | String | - | Last update date and time of dataset set to the service | #### `infers` The following describes `infers`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `dataType` | String | - | Dataset type of training result - `user` \| `item` \| `interaction` - `user`: Data containing user information (age, gender, etc.) - `item`: Data with product-related information (price, release date, category, etc.) - `interaction`: Data that captures the history of interactions between users and products | | `trainVersion` | String | - | Training result version | | `status` | String | - | Training result status - `enable` \| `waiting` \| `pending` \| `processing` \| `updateFailed` \| `disable` - `enable`: Update available - `waiting`: Waiting for update - `pending`: Pending update - `processing`: Updating - `updateFailed`: Update failed - `disable`: Update unavailable | | `rowCount` | String | - | Result data count | | `createdDate` | String | - | Data creation date and time | | `updatedDate` | String | - | Last update date and time of data | ### Response status codes For information about the HTTP status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/ai-application-service-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "serviceId": "6wxgu******", "name": "service3", "description": "test", "status": "learnable", "datasets": [ { "datasetId": "g8rf6******", "type": "item", "name": "item_dataset", "schemaName": "item_schema", "status": "learnable", "createdDate": "2024-07-29T16:46:35.968", "updatedDate": "2024-07-30T08:57:35.209" }, { "datasetId": "bu457******", "type": "interaction", "name": "interaction_dataset", "schemaName": "interaction_schema", "status": "learnable", "createdDate": "2024-07-30T09:49:19.254", "updatedDate": "2024-07-30T09:49:35.364" }, { "datasetId": "oeq4i******", "type": "user", "name": "user_dataset", "schemaName": "user_schema", "status": "learnable", "createdDate": "2024-07-30T08:58:00.662", "updatedDate": "2024-07-30T08:58:35.205" } ], "hpConfig": { "is_enabled": false }, "infers": [], "createdDate": "2024-07-30T10:28:57.825", "updatedDate": "2024-07-30T13:16:36.734", "type": "interval", "learningInterval": "hour1", "scheduledDate": "2024-07-30T11:25:36.558" } ```